//
//  JOBTSecondViewController.h
//  BTDemo
//
//  Created by ligi on 15-07-21.
//
#import <Foundation/Foundation.h>
#import <CoreBluetooth/CoreBluetooth.h>
#import <CoreBluetooth/CBService.h>
#import <UIKit/UIKit.h>

#import <CoreFoundation/CoreFoundation.h>
#include <sys/socket.h>
#include <netinet/in.h>
#import "Reachability.h"
#define PORT 9100

@interface JOBTSecondViewController : UIViewController<CBCentralManagerDelegate,CBPeripheralDelegate,NSStreamDelegate>
{
    NSMutableData * recvDatas;
    BOOL isSwitchOn;
}

@property (nonatomic, retain) NSInputStream *inputStream;
@property (nonatomic, retain) NSOutputStream *outputStream;
@property(nonatomic,assign)BOOL bFirstHasSpaceAvailable;

@property (weak, nonatomic) IBOutlet UITextField *statusText;
@property (weak, nonatomic) IBOutlet UITextView *textView_SendData;
@property (weak, nonatomic) IBOutlet UITextField *connect_Result;

@property(strong,nonatomic)CBCentralManager *centralManager;


- (IBAction)buttonCompleteInputContent:(id)sender;
- (IBAction)buttonSend:(id)sender;
- (IBAction)buttonClear:(id)sender;
- (IBAction)buttonPrintPage:(id)sender;
- (IBAction)buttonPageModePrint:(id)sender;
- (IBAction)buttonPrintPNGorJPG:(id)sender;
- (IBAction)buttonQuery:(id)sender;
- (IBAction)switchAction:(id)sender;
- (IBAction)buttonConnect:(id)sender;
- (IBAction)buttonCloseConnect:(id)sender;
-(void) alertMessage:(NSString *)msg;
- (void)setConnectResult:(NSString *)result;
- (NetworkStatus)getNetWorkStatus:(NSString*)addr serverPort:(int)port;
- (void)initNetworkCommunication:(NSString*)addr serverPort:(int)port;
@end
